.homePageContent * {
  font-weight: 400;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  color: rgba(0, 0, 0, 1);
  margin: 0;
  padding: 0;
}

.homePageContent {
  padding-top: 0.7em;
  max-width: 1440px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 2em;
  box-sizing: border-box;
  background-color: #fafafa;
  gap: 2em;
}

.homePageContent div {
  justify-self: center;
}

.hide {
  display: none;
}

.searchUsedPartsCard {
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
    padding: 1.5em 1em 0 1em;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    min-width: 300px;
    background-image: radial-gradient(99.2% 125% at 64.28% 125%, rgba(45, 142, 255, 0.32) 0%, rgba(45, 142, 255, 0) 100%), linear-gradient(rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8)), url('/images/resirkuleringsmannen.png');
    /*background-attachment:fixed;*/
    background-position: bottom center, top center, top right;
    background-size: 100%, 100%, 400px;
    background-repeat: no-repeat;
    background-blend-mode: normal, normal, lighten;
    height: 280px;
}

.searchUsedPartsCard h2 {
  font-size: 16px;
  color: #4a4f55;
}

.searchUsedPartsCard>img {
  max-width: 518px;
  align-self: flex-end;
}

.searchChoiceButtonsWrapper {
  display: flex;
  flex-direction: row;
}

.searchChoiceButton {
  background: none;
  width: 110px;
  padding: 8px;
  box-sizing: border-box;
  margin-top: -1.3px;
  z-index: 2;
  position: relative;
}

#freeTextButton {
  width: 110px;
}

.setNoBorder:hover {
  color: #457b37;
}

.setNoBorder {
  border: none;
  color: #19549a;
}

.setBorder {
  border: 1px solid #19549a;
  border-top: 1.5px solid #eaf6ff;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  color: #4a4f55;
}

.searchWrapper {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 60px;
  box-sizing: border-box;
  border: 1px solid #19549a;
  border-top-left-radius: 1px;
  border-bottom-right-radius: 6px;
  border-top-right-radius: 6px;
}

.licensePlateSearchContainer {
  width: 100%;
  position: relative;
  display: inline-block;
}

.licensePlateSearchContainer .input-flag {
  margin-left: 10px;
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
}

#licensePlateSearchInput {
  width: calc(100% - 12px);
}

.searchFlagWrapper {
  display: none;
  background-color: #4a90e2;
  flex-direction: column;
  height: 60px;
  width: 59px;
  align-items: center;
  justify-content: center;
  padding: 3px;
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
  margin-left: -1px;
  border-right: 1px solid #19549a;
}

.searchFlagWrapper p {
  color: white;
}

.searchWrapper input {
  border: none;
  height: 48px;
  padding-left: 16px;
  width: 100%;
  flex: auto;
  box-shadow: 0px 4px 4px 0px #00000040 inset;
  box-sizing: border-box;
  margin: 6px;
}

.searchWrapper button {
  background-color: #19549a;
  border: none;
  height: 100%;
  min-width: 70px;
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 6px;
  padding: 16px 0;
  box-sizing: border-box;
  margin-right: -1px;
}

.searchWrapper button p {
  color: white;
  display: none;
  font-size: 16px;
  font-weight: 700;
}

.searchForm {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
}

.searchChoiceButtonWToolTip:hover .searchTooltipBox {
  display: block;
  position: absolute;
}

.searchInfoIcon {
  display: inline-block;
  padding-left: 4px;
}

.searchInfoIconGreen {
  display: none;
}

.searchInfoIconGrey {
  display: none;
}

.searchTooltipBox {
  display: none;
}

.searchTooltipBox img {
  position: absolute;
  margin-left: -20px;
}

.searchTooltipBox p {
  margin-left: -20px;
  margin-top: 8px;
  position: relative;
  padding: 12px;
  max-width: 200px;
  box-sizing: border-box;
  font-size: 14px;
}

#freeTextTooltip img {
  margin-left: -15px;
}

#freeTextTooltip p {
  margin-left: -15px;
}

.cardWrapper {
  display: flex;
  flex-direction: column;
  
  width: 90%;
  justify-content: center;
}

.wideCardWrapper {
  display: flex;
  flex-direction: column;
  gap: 1em;
  width: 100%;
  justify-content: center;
}

.wideCard {
  border-radius: 6px;
  padding-left: 21px;
  padding-right: 21px;
  width: 100%;
  height: 130px;
  box-sizing: border-box;
  border: 1px solid #99c8ff;
  box-shadow: 0px 1px 1px 0px #00000040;
  background-color: white;
}

.wideCard:hover {
  border: 2px solid #69b356;
}

.wideCard:hover h2 {
  color: #457b37;
}

.wideCard:hover h2 span {
  color: #457b37;
}

.wideCard:hover .arrowGreen {
  display: inline-block;
}

.wideCard:hover .arrowBlue {
  display: none;
}

.rowwrap {
  display: flex;
  flex-flow: column-reverse;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}

.arrowGreen {
  display: none;
}



.wideCardCaretText {
  white-space: nowrap;
}

.wideCardLeftContent h2 {
  line-height: 33px;
  font-size: 20px;
  color: #19549a;
}

.wideCardLeftContent h2 span {
  line-height: 33px;
  font-size: 20px;
  color: #19549a;
}

.unstyledLink:link {
  text-decoration: none;
  color: black;
}

#wideCardImage {
  max-width: 50%;
  max-height: 75%;
}

.cardBrandImageWrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 8px;
  max-width: 250px;
}

.squareCardWrapper {
  display: flex;
  flex-direction: column;
  
  width: 100%;
  justify-content: center;
}

.squareCardRow {
  display: flex;
  flex-direction: row;
 
  width: 100%;
  flex-wrap: wrap;
}

@media(min-width: 490px) {
    .squareCardRow {
        flex-wrap: nowrap;
        gap: 32px;
    }

    .squareCardWrapper {
        gap: 2em;
    }

    .wideCardWrapper {
        gap: 2em;
    }

    .cardWrapper {

        gap: 2em;
    }
  
}

.squareCard {
  border: 1px solid #99c8ff;
  box-shadow: 0px 1px 1px 0px #00000040;
  border-radius: 6px;
  width: 100%;
  height: 120px;
  background-color: white;
  margin-top: 1em;
}

.squareCard:hover {
  border: 2px solid #69b356;
}

.squareCard:hover h2 {
  color: #457b37;
}

.squareCard:hover .arrowGreen {
  display: inline-block;
}

.squareCard:hover .arrowBlue {
  display: none;
}

.squareCardContent {
  /*margin-top: -28px;*/
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  height: 150px;
  padding-bottom: 1.5em;
}

.squareCardContent>img {
  max-width: 90%;
  max-height: 65%;
}

.squareCardTitleWrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  /*width: 80%;*/
  gap: 8px;
  text-wrap-mode: nowrap;
}

.squareCardTitleWrapper h2 {
  font-size: 16px;
  color: #19549a;
}

.videoCard {
  background-color: #4a4f55;
  padding: 1.5em;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1em;
  box-sizing: border-box;
  
  .video {
      flex: 3;
  }

  .videoText{
      flex: 1;
      line-height: 1.5em;
      font-size: 12px;
  }
}

.videoCard h2 {
  font-size: 16px;
  font-weight: 600;
  line-height: 26px;
  color: white;
}

.videoCard p {
  color: white;
  font-size: 16px;
  line-height: 1.5em;
}

.video {
  position: relative;
  aspect-ratio: 16/9;
  background-color: black;
  width: 100%;
  overflow: hidden;
  box-sizing: border-box;
}

.video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media (min-width: 801px) {
  .searchFlagWrapper {
    display: flex;
  }

  .licensePlateSearchContainer .input-flag {
    display: none;
  }

  .searchChoiceButtonsWrapper {
    margin-left: 45px;
  }

  .searchWrapper {
    width: 75%;
    border-bottom-left-radius: 6px;
    border-top-left-radius: 6px;
  }

  .searchWrapper button {
    padding: 16px 16px;
    width: 174px;
  }

  .searchWrapper button p {
    display: block;
  }

  .searchUsedPartsCard>img {
    margin-top: -32px;
  }

  .cardWrapper {
    flex-direction: row;
  }

  .squareCard {
    height: 170px;
    margin-top: 0;
  }

  .squareCardContent {
    gap: 16px;
    height: 200px;
    /*margin-top: -32px;*/
  }

  .searchUsedPartsCard {
    padding-left: 2.8em;
  }

  .searchUsedPartsCard h2 {
    margin-left: 2em;
    font-size: 22px;
  }

  .wideCard {
    height: 170px;
  }


  .wideCardLeftContent h2 {
    font-size: 1.5rem;
    line-height: normal;
  }

  .wideCardLeftContent h2 span {
    font-size: 1.5rem;
    line-height: normal;
  }

  .squareCardTitleWrapper h2 {
    font-size: 1.5rem;
  }

  .videoCard {
    flex-direction: row;
    align-items: center;
    gap: 1.5em;
  }

  .video {
    max-width: 60%;
  }

  .videoCard h2 {
    font-size: 22px;
    line-height: 30px;
  }

  .videoCard p {
    font-size: 16px;
    font-weight: 300;
    line-height: 30px;
  }
}

@media (min-width: 1280px) {
  .searchChoiceButton {
    width: 140px;
    padding-top: 12px;
  }

  #freeTextButton {
    width: 140px;
  }

  .setBorder .searchInfoIconGrey {
    display: inline-block;
    padding-left: 4px;
  }

  .setBorder .searchInfoIcon {
    display: none;
  }

  .setNoBorder:hover .searchInfoIcon {
    display: none;
  }

  .setNoBorder:hover .searchInfoIconGreen {
    display: inline-block;
    padding-left: 4px;
  }

  .searchTooltipBox img {
    margin-left: 0px;
  }

  .searchTooltipBox p {
    margin-left: 0px;
  }
}

@media (min-width: 1440px) {
  .searchWrapper {
    width: 60%;
  }

  .searchUsedPartsCard>img {
    margin-top: -120px;
  }

  .cardWrapper {
    width: 100%;
  }

  .wideCard {
    height: 234px;
    padding: 1em 3em;
  }

  .squareCard {
    height: 234px;
  }

  .squareCardContent {
    height: 250px;
    gap: 32px;
  }

  .squareCardContent>img {
    height: 150px;
  }

  .wideCardLeftContent h2 {
    font-size: 26px;
  }

  .wideCardLeftContent h2 span {
    font-size: 26px;
  }

  .squareCardTitleWrapper h2 {
    font-size: 26px;
  }

  .squareCard>img {
    width: 100%;
  }

  .video {
    max-width: 50%;
  }

  .videoCard {
    gap: 3em;
    padding: 3em;
  }

  .videoCard h2 {
    font-size: 36px;
    line-height: 48px;
  }

  .videoCard p {
    font-size: 16px;
    font-weight: 300;
    line-height: 48px;
  }
}

